Bug 446153 - installing Live to USB harddisk does not boot
installing Live to USB harddisk does not boot
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-12 23:24 EDT by Jens Petersen
Modified: 2008-07-10 23:26 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-10 23:26:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2008-05-12 23:24:42 EDT
Description of problem:
I tried to install F9 Live to a USB harddisk but it fails to boot
miserably gives lots of filesystem errors.

Steps to Reproduce:
1. install Live instance to a USB harddisk
2. boot the USB harddisk
  
Actual results:
2. does not boot

Expected results:
2. to boot normally
Comment 1 Bug Zapper 2008-05-14 07:04:26 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Chris Lumens 2008-05-15 13:19:01 EDT
Please attach the exact messages you are seeing to this bug report.
Comment 3 Jens Petersen 2008-05-16 01:47:31 EDT
Is it supposed/known to work? :)


I see it going into rhgb and then suddenly it stops and returns to a VC which
displays:

Starting udev:                                            [  OK  ]
Setting hostname localhost.localdomain:                   [  OK  ]
Setting up Logical Volume Management:  2 logical volume(s) in volume group
"Volgroup00" now active
  2 logical volume(s) in volume group "Volgroup01" now active
                                                          [  OK  ]
Checking filesystems


Fedora-9-Live-i6: UNEXPECTED INCONSISTENCY; RUN fsck MANUALLY.
        (i.e., without -a or -p options)
                                                          [FAILED]

*** An error occurred during the filesystem check.
*** Dropping you to a shell; the system will reboot
*** when you leave the shell.
:
:
Comment 4 Chris Lumens 2008-05-16 11:21:01 EDT
Have you checked to make sure that your drive is not failing?
Comment 5 Jens Petersen 2008-05-20 05:19:10 EDT
(In reply to comment #4)
> Have you checked to make sure that your drive is not failing?

Any suggestions for how to do that?  It seems to work ok for storage
but I have never managed to run fedora from it.  I was looking to test
with another USB drive at some point...  That is why I asked above
if it is known to work?

(I am travelling currently - when I get back I will try to test more.)
Comment 6 Chris Lumens 2008-06-25 17:47:14 EDT
You can run dmesg to look at the kernel messages.  Drive failures are indicated
by lots of error messages regarding the device, typically enclosed in curly
braces.  They're pretty obvious once you know what they look like.
Comment 7 Jens Petersen 2008-07-10 23:26:10 EDT
I installed F9 Live on a good new usb harddrive and it looks good so far,
so I suspect my other drive is faulty.

I will close this for now.  Thanks and sorry to have troubled you.

Note You need to log in before you can comment on or make changes to this bug.